Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 182238 - slab: double free detected in cache 'size-64'
slab: double free detected in cache 'size-64'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
NeedsRetesting
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-21 05:39 EST by Jasper O. Hartline
Modified: 2015-01-04 17:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-22 12:31:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kernel oops output from syslogd (2.89 KB, text/plain)
2006-02-21 05:39 EST, Jasper O. Hartline
no flags Details
/var/log/messages, relevant section of kernel logging. (7.85 KB, text/plain)
2006-02-24 05:30 EST, Jasper O. Hartline
no flags Details
lsmod output (970 bytes, text/plain)
2006-02-24 05:33 EST, Jasper O. Hartline
no flags Details

  None (edit)
Description Jasper O. Hartline 2006-02-21 05:39:26 EST
Description of problem:
syslogd sent me a message to my pts over ssh, the message will be as an
attachment. Kernel oops on an SMP machine PII@300MHz Katmai.
Tyan Tahoe 1686D dual processor board, Intel 440FX chipset.
Standard peripherals, Serial, Parallel, USB PS/2 mouse and keyboard.

Version-Release number of selected component (if applicable):
2.6.15-1.1955_FC5smp

How reproducible:
Did not try to reproduce it, as kernel oops aren't common.
I will of course attempt to reproduce it, and post back to this bz entry if so.
Please note in the attachment text, that yum install irssi was the last command
executed, but the yum session and oops were not immediately in succession, I
would have to guess about 15 to 20 minutes later.
Steps to Reproduce:
1. None
2.
3.
  
Actual results:
Kernel oops

Expected results:
Idling ssh session to the machine, gkrellmd and a gkrellm client active to the
daemon, is all that was going on.

Additional info:
No additional information at this time.
Comment 1 Jasper O. Hartline 2006-02-21 05:39:26 EST
Created attachment 124947 [details]
Kernel oops output from syslogd
Comment 2 Dave Jones 2006-02-23 21:37:50 EST
did the full message reach the log on the affected box ? Some lines are missing.
which modules had been in use at the of the oops ? (Or what typically is the
output of lsmod)
Comment 3 Jasper O. Hartline 2006-02-24 05:22:54 EST
Yeah, I'll attach these things below, the
/var/log/messages and lsmod output.
Comment 4 Jasper O. Hartline 2006-02-24 05:30:18 EST
Created attachment 125169 [details]
/var/log/messages, relevant section of kernel logging.

You will see, for reference I have provided just a few lines before, and after
the
kernel logging at that time.
Comment 5 Jasper O. Hartline 2006-02-24 05:33:07 EST
Created attachment 125170 [details]
lsmod output 

Typical output from lsmod.
Comment 6 Dave Jones 2006-03-06 11:26:49 EST
Is this reproducable with the latest kernel from
http://people.redhat.com/davej/kernels/Fedora/devel ?
Comment 7 Jasper O. Hartline 2006-03-09 07:36:13 EST
I couldn't reproduce this issue with the kernel above.
It seems to be it was a one time thing, could be bad hardware too.

I am not sure, I don't know if bad hardware could cause an error like that.
Anyhow, it was unreproduceable.
Thanks.
Comment 8 Dave Jones 2006-03-09 15:30:25 EST
Have you tried running memtest86 on that box ?
Comment 9 Jasper O. Hartline 2006-03-10 02:22:12 EST
I just ran memtest on it for a total of one passes, and it showed no errors.
I of course used the Fedora Core 4 disc #1 memtest. 
If I need to use another let me know, or if you need any other information.

I've still been unable to duplicate this behavior.
Comment 10 Dave Jones 2006-10-16 15:53:08 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.